Name:		ocsng-agent
Version:	1.02
Release:	%mkrel 1
Summary:	Linux agent for OCSNG
License:	GPL
Group:		System/Servers
URL:		http://ocsinventory.sourceforge.net/
Source0:	http://downloads.sourceforge.net/ocsinventory/OCSNG_UNIX_AGENT-%{version}.tar.gz
Requires:	dmidecode >= 2.6
Obsoletes:  ocsng-linux-agent
BuildArch:  noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Linux agent for ocs-inventory. Dialog between client computers and management
server is based on actual standards, HTTP protocol and XML data formatting.

%prep
%setup -q -n Ocsinventory-Agent-1.0.1

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf  %{buildroot}
rm -f run-postinst
%makeinstall_std

install -d -m 755 %{buildroot}%{_sysconfdir}/ocsinventory
cat > %{buildroot}%{_sysconfdir}/ocsinventory/ocsinventory-agent.cfg<<EOF
basevardir=%{_localstatedir}/lib/ocsinventory-agent
EOF

install -d -m 755 %{buildroot}%{_sysconfdir}/cron.daily
cat > %{buildroot}%{_sysconfdir}/cron.daily/ocsinventory-agent<<EOF
%{_bindir}/ocsinventory-agent --lazy > /dev/null 2>&1
EOF

install -d -m 755 %{buildroot}%{_localstatedir}/lib/ocsinventory-agent

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS Changes LICENSE README THANKS
%{_bindir}/ocsinventory-agent
%{_mandir}/man1/ocsinventory-agent.1*
%{perl_vendorlib}/Ocsinventory
%config(noreplace) %{_sysconfdir}/ocsinventory
%config(noreplace) %{_sysconfdir}/cron.daily/ocsinventory-agent
%{_localstatedir}/lib/ocsinventory-agent


%changelog
* Fri Jun 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-1mdv2009.0
+ Revision: 383052
- import ocsng-agent


